using MediatR;
using SharedKernel.Results;

namespace Application.Features.Api.Auth.Register;

public sealed record Command(
    string Email,
    string Password,
    string? Name
) : IRequest<Result<RegisterResponse>>;

public sealed record RegisterResponse(
    int Id,
    bool IsRegisterEmailAuth
);